# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/ThirteenTeV/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8_cff.py --filein dbs:/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/RunIIWinter15wmLHE-MCRUN2_71_V1-v1/LHE --fileout file:HIG-RunIISummer15GS-00011.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/HIG-RunIISummer15GS-00011/HIG-RunIISummer15GS-00011_1_cfg.py --no_exec -n 126
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(126)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/040D96EC-99DC-E411-964D-60EB69BAC922.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/2ECAC308-A0DC-E411-8A6A-D067E5FB7FC9.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/3CD0F2A4-84DC-E411-9923-3417EBE5281F.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/3E9C9D7F-77DC-E411-9BBD-60EB69BAC99C.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/4091B5BD-84DC-E411-8DB7-3417EBE2F40F.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/44A4679E-76DC-E411-B0C4-7845C4FC36AD.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/5AC6B1C0-95DC-E411-9D3B-848F69FD4DCC.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/6489629B-ABDC-E411-920C-848F69FD29FA.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/707AAA76-8BDC-E411-9083-3417EBE643E1.root', 
        '/store/mc/RunIIWinter15wmLHE/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8/LHE/MCRUN2_71_V1-v1/50000/745DCE00-88DC-E411-9C44-008CFA0004B0.root'),
    inputCommands = cms.untracked.vstring('keep *', 
        'drop LHEXMLStringProduct_*_*_*'),
    dropDescendantsOfDroppedBranches = cms.untracked.bool(False)
)

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/ThirteenTeV/ttHJetToGG_M125_13TeV_amcatnloFXFX_madspin_pythia8_cff.py nevts:126'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:HIG-RunIISummer15GS-00011.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.generator = cms.EDFilter("Pythia8HadronizerFilter",
    pythiaPylistVerbosity = cms.untracked.int32(1),
    filterEfficiency = cms.untracked.double(1.0),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    comEnergy = cms.double(13000.0),
    maxEventsToPrint = cms.untracked.int32(1),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        pythia8aMCatNLOSettings = cms.vstring('SpaceShower:pTmaxMatch = 1', 
            'SpaceShower:pTmaxFudge = 1', 
            'SpaceShower:MEcorrections = off', 
            'TimeShower:pTmaxMatch = 1', 
            'TimeShower:pTmaxFudge = 1', 
            'TimeShower:MEcorrections = off', 
            'TimeShower:globalRecoil = on', 
            'TimeShower:limitPTmaxGlobal = on', 
            'TimeShower:nMaxGlobalRecoil = 1', 
            'TimeShower:globalRecoilMode = 2', 
            'TimeShower:nMaxGlobalBranch = 1'),
        processParameters = cms.vstring('JetMatching:setMad = off', 
            'JetMatching:scheme = 1', 
            'JetMatching:merge = on', 
            'JetMatching:jetAlgorithm = 2', 
            'JetMatching:etaJetMax = 999.', 
            'JetMatching:coneRadius = 1.', 
            'JetMatching:slowJetPower = 1', 
            'JetMatching:qCut = 40.', 
            'JetMatching:doFxFx = on', 
            'JetMatching:qCutME = 20.', 
            'JetMatching:nQmatch = 5', 
            'JetMatching:nJetMax = 1', 
            'SLHA:useDecayTable = off', 
            '25:m0 = 125.0', 
            '25:onMode = off', 
            '25:onIfAny = 22 22'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'pythia8aMCatNLOSettings', 
            'processParameters')
    )
)


# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.generator * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
